#!/bin/bash
# 
# Quelle1: http://wiki.ubuntuusers.de/ImageMagick
# Quelle2: http://pecita.eu/police-en.php
# Wasserzeichentext in alle Bilder aus diesen Verzeichnis einfuegen
# Der Wasserzeichentext wird unten links ins Bild eingesetzt
# Sie koennen folgende Parameter anpassen:
Textabstandvonlinks=10
Textabstandvonunten=20
Schriftgroesse=30
Schriftart="Pecita.otf"
Schriftfarbe="red"
# Moegliche Farben koennen aufgelistet werden mit dem Befehl: convert -list color
Wasserzeichentext="© OpenStreetMap"
# Programmbeginn
echo "Textabstand von links: $Textabstandvonlinks"
echo "Textabstand von unten: $Textabstandvonunten"
echo "Schriftgoesse: $Schriftgroesse"
echo "Schriftart: $Schriftart"
echo "Schriftfarbe: $Schriftfarbe"
echo "Wasserzeichentext: $Wasserzeichentext"
echo " "
ls -1 *png | while read file;
do {
horizontal=`identify -verbose $file | grep Geometry: | awk {'print $2'} |cut -d"x" -f 1`
vertikal=`identify -verbose $file | grep Geometry: | awk {'print $2'} |cut -d"x" -f 2`
X=$Textabstandvonlinks
Y=$(($vertikal - $Textabstandvonunten))
convert -font $Schriftart -pointsize $Schriftgroesse -fill $Schriftfarbe -draw "text $X, $Y '$Wasserzeichentext'" "$file" "`basename c_"$file"`";
echo "Bearbeite Datei $file"
}
done
echo "Wasserzeichen erfolgreich eingearbeitet."
echo
echo "Konsole schließen mit Enter!"
read dummy;
exit
# Programmende
